Summary:	Evil - EFL Windows compatibility layer
Summary(pl.UTF-8):	Evil - Warstwa kompatybilności EFL z Windows
Name:		crossmingw32-evil
Version:	1.7.9
Release:	1
License:	Free (see COPYING)
Group:		Development/Libraries
Source0:	http://download.enlightenment.org/releases/evil-%{version}.tar.bz2
# Source0-md5:	04dd37a2d58e9be9da7c847436d5b64b
URL:		http://trac.enlightenment.org/e/wiki/EFL
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	crossmingw32-gcc
BuildRequires:	libtool >= 2:2.4
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
The Evil library tried to port some convenient Unix functions to the
Windows (XP or CE) platform. They are used in the Enlightenment
Foundation Libraries (EFL).

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka Evil jest próbą przeniesienia niektórych wygodnych funkcji
uniksowych na platformę Windows (XP lub CE). Jest wykorzystywana w
bibliotekach EFL (Enlightenment Foundation Libraries).

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static Evil libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki Evil (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static Evil libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki Evil (wersja skrośna MinGW32).

%package dll
Summary:	DLL Evil libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL Evil dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL Evil libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL Evil dla Windows.

%prep
%setup -q -n evil-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4 -I m4/common -I m4/evil
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN ChangeLog NEWS README
%{_libdir}/libdl.dll.a
%{_libdir}/libdl.la
%{_libdir}/libevil.dll.a
%{_libdir}/libevil.la
%{_includedir}/evil-1
%{_pkgconfigdir}/evil.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdl.a
%{_libdir}/libevil.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libdl-1.dll
%{_dlldir}/libevil-1.dll
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-evil.git;a=log;h=master

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> dd8f7db
- updated to 1.7.9

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 7b1ae48
- updated to 1.7.7

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 15011a5
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> e14b02b
- do not provide pkgconfig deps in system namespace

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 070f6d5
- updated to 1.7.6

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> a5253c2
- updated to 1.7.5

* Wed Nov 28 2012 Jakub Bogusz <qboosh@pld-linux.org> e3c9bd9
- updated to 1.7.2

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 0ab3d48
- filter out -f* also from cxx optflags

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 5715d9e
- build seems racy, try -j1

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 8bde5a1
- updated to 1.7.0
- try to filter out unwanted flags from host optflags

* Tue May 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 186b02c
- updated to 1.1.0

* Mon Dec 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 26def8b
- Windows-specific part of EFL

